﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Afk.ZoneInfo;

namespace ConsoleZoneInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            DateTime local = Zones.Europe.Paris.ToLocalTime(DateTime.UtcNow);

            foreach (TimeZoneInfo z in TimeZoneInfo.GetSystemTimeZones())
                Console.WriteLine(z.Id);

            DateTime thisTime = DateTime.Now;
            Console.WriteLine("Time in {0} zone: {1}", TimeZoneInfo.Local.IsDaylightSavingTime(thisTime) ?
                              TimeZoneInfo.Local.DaylightName : TimeZoneInfo.Local.StandardName, thisTime);
            Console.WriteLine("   UTC Time: {0}", TimeZoneInfo.ConvertTimeToUtc(thisTime, TimeZoneInfo.Local));
            // Get Tokyo Standard Time zone
            TimeZoneInfo tst = TimeZoneInfo.FindSystemTimeZoneById("Tokyo Standard Time");
            DateTime tstTime = TimeZoneInfo.ConvertTime(thisTime, TimeZoneInfo.Local, tst);
            Console.WriteLine("Time in {0} zone: {1}", TimeZoneInfo.Local.IsDaylightSavingTime(tstTime) ?
                              tst.DaylightName : tst.StandardName, tstTime);
            Console.WriteLine("   UTC Time: {0}", TimeZoneInfo.ConvertTimeToUtc(tstTime, tst));

            TimeZoneInfo tstSamoa = TimeZoneInfo.FindSystemTimeZoneById("Samoa Standard Time");
            DateTime utc = new DateTime(2011, 12, 29, 0, 0, 0, DateTimeKind.Utc);
            Console.WriteLine("UTC \t\t\t| Samoa Local Time");
            for (int i = 1; i <= 48; i++)
            {
                utc = utc.AddHours(1);
                Console.WriteLine(utc + "\t| " + TimeZoneInfo.ConvertTimeFromUtc(utc, tstSamoa));
            }
            Console.ReadLine();

            var atz = Zones.Pacific.Apia;
            utc = new DateTime(2011, 12, 29, 0, 0, 0, DateTimeKind.Utc);
            Console.WriteLine("UTC \t\t\t| Samoa Local Time");
            for (int i = 1; i <= 48; i++)
            {
                utc = utc.AddHours(1);
                Console.WriteLine(utc + "\t| " + atz.ToLocalTime(utc));
            }
            Console.ReadLine();

        }
    }
}
